Subject: bug#20419: 25.0.50; doc string of `recenter-last-op`

From: Drew Adams <[email-masked]>
Date: Sat, 25 Apr 2015 09:33:19 -0700 (PDT)

> I'd rather suggest to have a simple function, recenter-reset-cycle,
> say, and then hide its internals inside window.el.

Do you really think that is better than the kind of thing we do
with/for `kill-ring-yank-pointer' and `search-ring-yank-pointer'?
That code intentionally exposes the pointer variable.

If you are sure, go for it.  You might want to change the existing 
code for that uses `*-ring-yank-pointer' similarly.

I assume you would introduce another (internal) variable, which
would get modified in place of the user option, or which would
be a pointer (like `recenter-last-op' is now) to its current
(last-used) index.

Anyway, whether you do something like you propose or not, as
long as we have the current design, the doc bug fix you made
is helpful.